Subject: Re: [MIB-DOCTORS] [eman] MIB-Doctor Review of draft-ietf-eman-battery-mib-11

From: Juergen Quittek <[email-masked]>
Date: Sun, 2 Mar 2014 17:50:55 +0000

Hi Tom,

Here is our reply to the issue of limiting notification rates, that you raised:

> -----Original Message-----
> From: eman [mailto:[email-masked]] On Behalf Of Thomas Nadeau
> Sent: Freitag, 24. Januar 2014 22:24
> To: [email-masked]
> Cc: MIB Doctors (E-mail); eman mailing list
> Subject: [eman] MIB-Doctor Review of draft-ietf-eman-battery-mib-11
>
   [snip]
> 
>    batteryTemperatureNotification NOTIFICATION-TYPE
>        OBJECTS     {
>            batteryTemperature,
>            batteryCellIdentifier
>        }
>        STATUS      current
>        DESCRIPTION
>            "This notification can be generated when the measured
>            temperature (batteryTemperature) rises above the threshold
>            defined by object batteryAlarmHighTemperature or falls
>            below the threshold defined by object
>            batteryAlarmLowTemperature.
> 
>            If the low or high temperature has been detected for a
>            single cell or a set of cells of the battery and not for the
>            entire battery, then object batteryCellIdentifier should be
>            set to a value that identifies the cell or set of cells.
>            Otherwise, the value of object batteryCellIdentifier should
>            be set to the empty string when this notification is
>            generated."
>        ::= { batteryNotifications 4 }
> 
> TOM: The same comment about rate limiting as above. I can see when a
> battery is failing this value could float just about and below this value causing
> numerious notifications to be issued. Have you considered such cases?

Thank you for pointing to this. Yes, we considered the issue for 
Notifications, but unfortunately not for all. 
The batteryLowNotification and the batteryCriticalNotification 
have statements in their DESCRIPTION clause that prohibits repeated 
generation of the notification before the battery has been charged again.

But for the batteryTemperatureNotification and the 
batteryAgingNotification there are no such statements. Here additional 
text is needed as you suggest. For the batteryAgingNotification we know
how to address the issue. But for the batteryTemperatureNotification 
we still have to find an appropriate solution. I will make this an open
issue and bring it to the group  at the eman session.

Thanks,
    Juergen